Bug 1956766 - Customer tags cannot be seen in S3 level [NEEDINFO]
Summary: Customer tags cannot be seen in S3 level
Keywords:
Status: CLOSED DUPLICATE of bug 1957308
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 11:35 UTC by Wenjing Zheng
Modified: 2021-05-06 09:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 09:18:51 UTC
Target Upstream Version:
rmarasch: needinfo? (wzheng)


Attachments (Terms of Use)

Description Wenjing Zheng 2021-05-04 11:35:09 UTC
Description of problem:
Cannot see customer tags in S3 level from AWS console, though they can be seen in infrastructure level:
$ oc get infrastructure.config.openshift.io -o yaml | grep -A7 platformStatus
    platformStatus:
      aws:
        region: us-east-2
        resourceTags:
        - key: costCenter
          value: "7536"
        - key: adminContact
          value: wzheng


Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-05-01-081439

How reproducible:
always

Steps to Reproduce:
1.Define userTags in install-config file:
platform:
  aws:
    experimentalPropagateUserTags: yes
    region: us-east-2
    userTags:
      adminContact: wzheng
      costCenter: 7536
2.Launch a cluster with the install-config
3.Check the tags in both infrastructure level and S3 level

Actual results:
No tag in S3 level;

Expected results:
Should have tags in S3 level;

Additional info:


Note You need to log in before you can comment on or make changes to this bug.